Error 302 (Found): "Filter chain halted" on issue creation

2009-08-28 21:39 - kardan brueckenschlaeger

Status: Reopened Start date: 2009-08-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

PLEASE check your error log

Found

The server encountered an internal error or misconfiguration and was unable to complete your reque

st.

Please contact the server administrator, admin@localhost.com and inform them of the time the error

 occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocume

nt to handle the request.

 

Input to reproduce

when the redmine session cookie got deleted, the created of a previously opened 'new issue'-form fails with 302 (Found)

like in #51, the submitted data are lost

steps to reproduce:

login

go to /projects/*/issues/new

delete the cookie

submit the issue

this issue has been reproduced on redmine.org :)

log/production.log:

Filter chain halted as [:check_if_login_required] rendered_or_redirected.

Completed in 0.02353 (42 reqs/sec) | DB: 0.00025 (1%) | 302 Found [https://kern.brueckenschlaeger.

de/projects/support/issues/new]

 environment:

ruby 1.8.7 (2008-08-11 patchlevel 72) [i486-linux]

Rails Rails 2.1.2

mysql  Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (i486) using readline 5.2

git version 1.5.6.5

 79d6c7aec94004012d105cd4dc66b9dd4586df55

Date:   Sun May 10 04:01:40 2009 +0200

    init

 
# cat /etc/debian_version 
5.0.2

 ii  libdb-ruby1.8                       0.6.5-2                    Interface to Berkeley DB for Ruby 1.8

ii  libfusefs-ruby                      0.6.0-3                    library to easily define a filesystem in Rub

ii  libfusefs-ruby1.8                   0.6.0-3                    library to easily define a filesystem in Rub

ii  libgettext-ruby1.8                  1.91.0-1.2                 Gettext for ruby1.8

ii  libopenssl-ruby                     4.2                        OpenSSL interface for Ruby

ii  libopenssl-ruby1.8                  1.8.7.72-3                 OpenSSL interface for Ruby 1.8

ii  libreadline-ruby1.8                 1.8.7.72-3                 Readline interface for Ruby 1.8

ii  librmagick-ruby1.8                  2.5.2-1                    ImageMagick API for Ruby

ii  libruby1.8                          1.8.7.72-3                 Libraries necessary to run Ruby 1.8

ii  libsqlite3-ruby                     1.2.2-1                    SQLite3 interface for Ruby

ii  libsqlite3-ruby1.8                  1.2.2-1                    SQLite3 interface for Ruby 1.8

ii  libxml-ruby1.8                      0.5.2.0-3+lenny1           Ruby interface to libxml

ii  libxmpp4r-ruby                      0.4-1                      XMPP/Jabber library for Ruby (dummy package)

ii  libxmpp4r-ruby1.8                   0.4-1                      XMPP/Jabber library for Ruby

ii  libxslt-ruby                        0.9.2-4                    Ruby interface to libxslt

ii  libxslt-ruby1.8                     0.9.2-4                    Ruby interface to libxslt

ii  rake                                0.8.1-3                    a ruby build program

ii  rdoc                                4.2                        Generate documentation from ruby source file

ii  ruby                                4.2                        An interpreter of object-oriented scripting

ii  ruby-dev                            4.2                        Header files for compiling extension modules

ii  ruby1.8                             1.8.7.72-3                 Interpreter of object-oriented scripting lan

ii  ruby1.8-dev                         1.8.7.72-3                 Header files for compiling extension modules

ii  rubygems                            1.2.0-3                    package management framework for Ruby librar

ii  rubygems1.8                         1.2.0-3                    package management framework for Ruby librar

DATA that caused 302 (Found):

stripped => please check your log

History

#1 - 2009-09-12 12:14 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Wont fix

When trying to reproduce, I'm redirected to the login form.

As we do a redirect, keeping submitted data would be problematic.

#2 - 2009-09-12 23:46 - kardan brueckenschlaeger

- Status changed from Closed to Reopened

sorry, I did not point that out clearly enough.

you only are able to reproduce the error with exactly the same data as description we sent. I cant explain why that is, maybe because of missing

escaping.

I can send you the used text block in case your logs have already been cleaned.

please verify that the error is not valid for redmine.org as I was able to reproduce it with latest source and on redmine.org. or just leave it as wontfix :)

#3 - 2009-11-11 20:47 - Jean-Philippe Lang

I can send you the used text block in case your logs have already been cleaned.

 That would be a good idea. I don't have much time to search the logs.

#4 - 2012-03-20 14:17 - Abhishek Singh

I have the same issue with a cpanel setup with the recent redmine (version 1.3.2). The same setup without cpanel on my local machine works well.

The error I get in the logs/production.log is:

Filter chain halted as [:check_if_login_required] rendered_or_redirected.
 Whenever the cookie is not there I get a 404 page, but when I try /login the login page is displayed and a cookie "_redmine_session" is set and

subsequent browse to the redmine works well. To reproduce the problem, I just remove that cookie and try to browse, the same problem occurs. I'm

testing this redmine installation on http://redmine.ebpearls.com.

Any solutions would be so helpful.

#5 - 2013-10-14 11:54 - Jean-Philippe Lang

- Subject changed from  Error 302 (Found): "Filter chain halted" on issue creation to Error 302 (Found): "Filter chain halted" on issue creation
